> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fleet management trips

> Lists fleet management trips recorded against the given expense category. Used to source mileage data into expense records.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips:
    get:
      tags:
        - FleetManagementTrips
      summary: List fleet management trips
      description: >-
        Lists fleet management trips recorded against the given expense
        category. Used to source mileage data into expense records.
      operationId: getFleetManagementTrips
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/categoryIdPath'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FleetManagementTripsResponse'
              examples:
                Get fleet management trips example:
                  value:
                    meta:
                      total: 23
                      count: 10
                    data:
                      - id: '12345678'
                        name: >-
                          Wieslanders väg 4, 504 31 Borås - Ullenevägen 2, 521
                          52 Floby
                        abbreviation:
                          date: '2023-06-25T19:18:55Z'
                          distance: 63.0 km
                          from:
                            latitude: '57.7149033'
                            longitude: '12.9126383'
                            place: Wieslanders väg 4, 504 31 Borås
                          to:
                            latitude: '58.143845'
                            longitude: '13.33409'
                            place: Ullenevägen 2, 521 52 Floby
                          mapUrl: null
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              example:
                categoryId parameter is not valid:
                  value:
                    result: error
                    code: INVALID_PARAMETER
                    description: Parameter categoryId is not valid
                missing parameter categoryId:
                  value:
                    result: error
                    code: MISSING_PARAMETER
                    description: 'Missing parameter: categoryId'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              example:
                account not found:
                  value:
                    result: error
                    code: FLEET_MANAGEMENT_ACCOUNT_NOT_FOUND
                    description: Account not found
                vehicle not found:
                  value:
                    result: error
                    code: FLEET_MANAGEMENT_VEHICLE_NOT_FOUND
                    description: Vehicle not found for person
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    categoryIdPath:
      name: categoryId
      in: path
      description: external id of expense category
      required: true
      schema:
        $ref: '#/components/schemas/Uuid'
      example: da35f675f40e47bcae2fff3c43a94c73
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    FleetManagementTripsResponse:
      type: object
      properties:
        meta:
          type: object
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: ID of trip collected from the external provider
              name:
                type: string
                description: String that combines start address and end address of trip
              abbreviation:
                type: object
                properties:
                  date:
                    type: string
                    description: start date of the trip
                  from:
                    type: object
                    description: Information about start address for the trip
                    properties:
                      latitude:
                        type: string
                        description: The latitude value of the start address
                      longitude:
                        type: string
                        description: The longitude value of the start address
                  to:
                    type: object
                    description: Information about end address for the trip
                    properties:
                      latitude:
                        type: string
                        description: The latitude value of the end address
                      longitude:
                        type: string
                        description: The longitude value of the end address
                  mapUrl:
                    type: string
                    description: URL of the generated map for the trip route
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````